2020-06-03 19:58 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002485Spring engineGeneralpublic2011-07-31 16:28
Reporterabma 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version0.82.7+git 
Summary0002485: (master) crash in rts/Sim/Misc/QuadField.h:83
Descriptionhttp://pastebin.com/Pws5Swr0

just a random me vs KAIK testgame
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
duplicate of 0002539resolvedabma (master) crash in TraceRay.cpp:451 
related to 0002554resolvedKloot (master) crash in FeatureDrawer.cpp:142 
related to 0002517resolvedKloot (master) desync+SIGSEGV in PathEstimator.cpp:494 
related to 0002556resolvedKloot (master) desync + later a crash in 1v1 
+Relationships

-Notes

~0006775

Kloot (developer)

looks like propagating NaN's again:


QuaddField::Quad& CQuadField::GetQuad(int) const: Assertion `static_cast<unsigned>(i) < baseQuads.size()' failed.\n"


(9) 0x0000000000909ef9 in CQuadField::GetQuad (this=0x591c250, i=-2147483648)


(10) 0x000000000099b176 in TraceRay::TestAllyCone (from=..., weaponDir=..., length=-nan(0x400000),
        quad = @0xffc00000bf800000
        qi = 0x7fffcca5f2b0
        quads = {-2147483648, 615, 201393712, 32713, 76433224, 0, 8, 0, -861539616, 32767, ... INSANELY HIGHT NUMBERS, 0, 532, 533, 493, 574...}


(11) 0x0000000000f34a55 in CMissileLauncher::TryTarget (this=0x56b8af0, pos=..., userTarget=false, unit=0xdf68c70)
        length = -nan(0x400000)
        x = -nan(0x400000), y = -nan(0x400000), z = -nan(0x400000)}

~0006776

zerver (reporter)

I concur

~0006817

hoijui (reporter)

i got the same crash today, but as it was an unclean version of spring i first though it might be cause of that, so i did not keep the infolog.
it happened with NullOOJavaAI on BA, Brazilian Battlefield, when i did a /give all, Ctrl+A, gave a move command somewhere on the map, and right after a force-attack command on the ground somewhere in the middle of the group.

~0006904

abma (administrator)

an other one:
spring: /home/abma/dev/spring/master/rts/Sim/Misc/QuadField.h:83: const CQuadField::Quad& CQuadField::GetQuad(int) const: Assertion `static_cast<unsigned>(i) < baseQuads.size()' failed.
[f=0032733] Aborted (SIGABRT) in spring 0.82+.4.0 (Debug)
[f=0032733] Stacktrace:
[f=0032733] <0> /lib/x86_64-linux-gnu/libc.so.6(+0x33d80) [0x7ffb5616dd80]
[f=0032733] <1> /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x35) [0x7ffb5616dd05]
[f=0032733] <2> /lib/x86_64-linux-gnu/libc.so.6(abort+0x186) [0x7ffb56171ab6]
[f=0032733] <3> /lib/x86_64-linux-gnu/libc.so.6(__assert_fail+0xf5) [0x7ffb561667c5]
[f=0032733] <4> /home/abma/dev/spring/master/rts/Sim/Misc/QuadField.h:84
[f=0032733] <5> /home/abma/dev/spring/master/rts/Game/TraceRay.cpp:137
[f=0032733] <6> /home/abma/dev/spring/master/rts/Sim/Weapons/BeamLaser.cpp:244
[f=0032733] <7> /home/abma/dev/spring/master/rts/Sim/Weapons/BeamLaser.cpp:190
[f=0032733] <8> /home/abma/dev/spring/master/rts/Sim/Weapons/Weapon.cpp:982
[f=0032733] <9> /home/abma/dev/spring/master/rts/Sim/Weapons/Weapon.cpp:391
gdb bt full:
http://pastebin.com/cFbmr84K

~0006905

abma (administrator)

this bug introdced recently, i guess some close after
2d1a2f9a7a22f83fe13e

its hard to reproduce, so bisecting doesn't work :-/

~0007021

abma (administrator)

Last edited: 2011-07-14 17:42

an other one, caused by replaying the demo of 0002556

bt full: http://pastebin.com/42hmRger

spring: /home/abma/dev/spring/master/rts/Sim/Misc/QuadField.h:83: const CQuadField::Quad& CQuadField::GetQuad(int) const: Assertion `static_cast<unsigned>(i) < baseQuads.size()' failed.
[f=0042180] Error: Aborted (SIGABRT) in spring 0.82+.4.0 (Debug)
[f=0042180] Error: Stacktrace:
[f=0042180] Error: <0> /lib/x86_64-linux-gnu/libc.so.6(+0x33d80) [0x7f06413e4d80]
[f=0042180] Error: <1> /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x35) [0x7f06413e4d05]
[f=0042180] Error: <2> /lib/x86_64-linux-gnu/libc.so.6(abort+0x186) [0x7f06413e8ab6]
[f=0042180] Error: <3> /lib/x86_64-linux-gnu/libc.so.6(__assert_fail+0xf5) [0x7f06413dd7c5]
[f=0042180] Error: <4> /home/abma/dev/spring/master/rts/Sim/Misc/QuadField.h:84
[f=0042180] Error: <5> /home/abma/dev/spring/master/rts/Game/TraceRay.cpp:413
[f=0042180] Error: <6> /home/abma/dev/spring/master/rts/Sim/Weapons/Cannon.cpp:148
[f=0042180] Error: <7> /home/abma/dev/spring/master/rts/Sim/Weapons/Weapon.cpp:944
[f=0042180] Error: <8> /home/abma/dev/spring/master/rts/Sim/Weapons/Weapon.cpp:912
[f=0042180] Error: <9> /home/abma/dev/spring/master/rts/Sim/Units/CommandAI/MobileCAI.cpp:766


so it seems that even replaying the demo "desyncs"

~0007153

Kloot (developer)

(probably) nuked; 45bed66ab39b28e45923d235c3ad9a95ae2869ec
+Notes

-Issue History
Date Modified Username Field Change
2011-06-20 22:40 abma New Issue
2011-06-20 22:40 abma Graphics Card => unknown
2011-06-20 22:49 Kloot Note Added: 0006775
2011-06-20 23:07 zerver Note Added: 0006776
2011-06-27 15:33 hoijui Note Added: 0006817
2011-07-02 18:02 Kloot Relationship added related to 0002517
2011-07-04 19:23 abma Note Added: 0006904
2011-07-04 19:28 abma Note Added: 0006905
2011-07-06 22:14 Kloot Relationship added duplicate of 0002539
2011-07-14 17:40 abma Note Added: 0007021
2011-07-14 17:40 abma Note Edited: 0007021
2011-07-14 17:41 abma Relationship added related to 0002556
2011-07-14 17:42 abma Note Edited: 0007021
2011-07-14 17:42 abma Note Edited: 0007021
2011-07-17 18:07 zerver Relationship added related to 0002554
2011-07-31 16:28 Kloot Note Added: 0007153
2011-07-31 16:28 Kloot Status new => resolved
2011-07-31 16:28 Kloot Fixed in Version => 0.82.7+git
2011-07-31 16:28 Kloot Resolution open => fixed
2011-07-31 16:28 Kloot Assigned To => Kloot
+Issue History